Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.kit.comm.amiga
Class SignalDispatcher

    java.lang.Object
      |
      +--edu.utah.janosvm.kit.comm.amiga.SignalDispatcher

public class SignalDispatcher
extends java.lang.Object
implements java.lang.Runnable

A SignalDispatcher provides some basic infrastructure for dispatching signals received by a SignalSet.

Field Summary
`static int` | `SIG_EXIT` Reserved signal used to cause the dispatcher to exit the run() method.

Constructor Summary
`SignalDispatcher()` Construct an empty SignalDispatcher.

Method Summary
`void` | `addHandler(SignalHandler sh)` Add a SignalHandler to this dispatcher.
`void` | `exit()` Send the SIG_EXIT signal to the dispatcher so that it will exit the handler loop.
`SignalSet` | `getSignalSet()`
`static SignalDispatcher` | `getTeamDispatcher()`
`boolean` | `isActive()`
`void` | `remHandler(SignalHandler sh)` Remove a SignalHandler from the dispatcher.
`void` | `run()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SIG_EXIT

    public static final int SIG_EXIT

  Reserved signal used to cause the dispatcher to exit the run() method.

Constructor Detail

### SignalDispatcher

    public SignalDispatcher()

  Construct an empty SignalDispatcher.

Method Detail

### getSignalSet

    public SignalSet getSignalSet()

  Returns:
    The SignalSet that this dispatcher listens on.

### addHandler

    public void addHandler(SignalHandler sh)

  Add a SignalHandler to this dispatcher.
  Parameters:
    `sh` - An initialized SignalHandler that will handle a given signal.

### remHandler

    public void remHandler(SignalHandler sh)

  Remove a SignalHandler from the dispatcher.
  Parameters:
    `sh` - The SignalHandler to remove.

### isActive

    public boolean isActive()

  Returns:
    True if the run() method is running, false otherwise.

### run

    public void run()

  Specified by:
    run in interface java.lang.Runnable

### exit

    public void exit()

  Send the SIG_EXIT signal to the dispatcher so that it will exit the handler loop.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### getTeamDispatcher

    public static final SignalDispatcher getTeamDispatcher()

  Returns:
    The SignalDispatcher for this team.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002